| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::database_restore_options Class Reference
API

options for restoration from database More...

`#include <database_options.hpp>`

## Public Member Functions
| database_restore_options (const database_restore_options &ref)=default
| database_restore_options (database_restore_options &&ref) noexcept=default
database_restore_options & | operator= (const database_restore_options &ref)=default
database_restore_options & | operator= (database_restore_options &&ref) noexcept=default
void | clear ()
void | set_early_release (bool value)
| early_release option
void | set_info_details (bool value)
| info_details option
void | set_extra_options_for_dar (const std::vector< std::string > &value)
| extra options to dar
void | set_ignore_dar_options_in_database (bool mode)
| ignore options to dar embedded in the database
void | set_date (const infinint &value)
| date option
void | set_date (const datetime &value)
| date option in the new form of a datetime (eventually providing sub second precision)
void | set_even_when_removed (bool value)
| find data or EA if they have been removed at the requested date
bool | get_early_release () const
bool | get_info_details () const
const std::vector< std::string > & | get_extra_options_for_dar () const
const datetime & | get_date () const
bool | get_ignore_dar_options_in_database () const
bool | get_even_when_removed () const
| database_restore_options (const database_restore_options &ref)=default
| database_restore_options (database_restore_options &&ref) noexcept=default
database_restore_options & | operator= (const database_restore_options &ref)=default
database_restore_options & | operator= (database_restore_options &&ref) noexcept=default
void | clear ()
void | set_early_release (bool value)
| early_release option
void | set_info_details (bool value)
| info_details option
void | set_extra_options_for_dar (const std::vector< std::string > &value)
| extra options to dar
void | set_ignore_dar_options_in_database (bool mode)
| ignore options to dar embedded in the database
void | set_date (const infinint &value)
| date option
void | set_date (const datetime &value)
| date option in the new form of a datetime (eventually providing sub second precision)
void | set_even_when_removed (bool value)
| find data or EA if they have been removed at the requested date
bool | get_early_release () const
bool | get_info_details () const
const std::vector< std::string > & | get_extra_options_for_dar () const
const datetime & | get_date () const
bool | get_ignore_dar_options_in_database () const
bool | get_even_when_removed () const

## Private Attributes
bool | x_early_release
bool | x_info_details
std::vector< std::string > | x_extra_options_for_dar
datetime | x_date
bool | x_ignore_dar_options_in_database
bool | x_even_when_removed

## Detailed Description

options for restoration from database

Definition at line 220 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## Constructor & Destructor Documentation

## ◆ database_restore_options() [1/2]

libdar::database_restore_options::database_restore_options | ( |  | ) |
| inline

Definition at line 223 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ database_restore_options() [2/2]

libdar::database_restore_options::database_restore_options | ( |  | ) |
| inline

Definition at line 223 of file src/libdar/database_options.hpp.

## Member Function Documentation

## ◆ clear() [1/2]

void libdar::database_restore_options::clear | ( |  | ) |
| inline

Definition at line 230 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ clear() [2/2]

void libdar::database_restore_options::clear | ( |  | ) |
| inline

Definition at line 230 of file src/libdar/database_options.hpp.

## ◆ get_date() [1/2]

const datetime & libdar::database_restore_options::get_date | ( |  | ) | const
| inline

Definition at line 277 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ get_date() [2/2]

const datetime & libdar::database_restore_options::get_date | ( |  | ) | const
| inline

Definition at line 277 of file src/libdar/database_options.hpp.

## ◆ get_early_release() [1/2]

bool libdar::database_restore_options::get_early_release | ( |  | ) | const
| inline

Definition at line 274 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ get_early_release() [2/2]

bool libdar::database_restore_options::get_early_release | ( |  | ) | const
| inline

Definition at line 274 of file src/libdar/database_options.hpp.

## ◆ get_even_when_removed() [1/2]

bool libdar::database_restore_options::get_even_when_removed | ( |  | ) | const
| inline

Definition at line 279 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ get_even_when_removed() [2/2]

bool libdar::database_restore_options::get_even_when_removed | ( |  | ) | const
| inline

Definition at line 279 of file src/libdar/database_options.hpp.

## ◆ get_extra_options_for_dar() [1/2]

const std::vector< std::string > & libdar::database_restore_options::get_extra_options_for_dar | ( |  | ) | const
| inline

Definition at line 276 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ get_extra_options_for_dar() [2/2]

const std::vector< std::string > & libdar::database_restore_options::get_extra_options_for_dar | ( |  | ) | const
| inline

Definition at line 276 of file src/libdar/database_options.hpp.

## ◆ get_ignore_dar_options_in_database() [1/2]

bool libdar::database_restore_options::get_ignore_dar_options_in_database | ( |  | ) | const
| inline

Definition at line 278 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ get_ignore_dar_options_in_database() [2/2]

bool libdar::database_restore_options::get_ignore_dar_options_in_database | ( |  | ) | const
| inline

Definition at line 278 of file src/libdar/database_options.hpp.

## ◆ get_info_details() [1/2]

bool libdar::database_restore_options::get_info_details | ( |  | ) | const
| inline

Definition at line 275 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ get_info_details() [2/2]

bool libdar::database_restore_options::get_info_details | ( |  | ) | const
| inline

Definition at line 275 of file src/libdar/database_options.hpp.

## ◆ set_date() [1/4]

void libdar::database_restore_options::set_date | ( | const datetime & | value | ) |
| inline

date option in the new form of a datetime (eventually providing sub second precision)

Definition at line 264 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ set_date() [2/4]

void libdar::database_restore_options::set_date | ( | const datetime & | value | ) |
| inline

date option in the new form of a datetime (eventually providing sub second precision)

Definition at line 264 of file src/libdar/database_options.hpp.

## ◆ set_date() [3/4]

void libdar::database_restore_options::set_date | ( | const infinint & | value | ) |
| inline

date option

informations about files more recent than the given date are ignored. So you can restore file in the most recent state before a certain "date".

Note
  if set to zero, the most recent state available is looked for (this is the default value).

Definition at line 261 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ set_date() [4/4]

void libdar::database_restore_options::set_date | ( | const infinint & | value | ) |
| inline

date option

informations about files more recent than the given date are ignored. So you can restore file in the most recent state before a certain "date".

Note
  if set to zero, the most recent state available is looked for (this is the default value).

Definition at line 261 of file src/libdar/database_options.hpp.

## ◆ set_early_release() [1/2]

void libdar::database_restore_options::set_early_release | ( | bool | value | ) |
| inline

early_release option

if early_release is set to true, some memory is released before calling dar

Note
  if early_release is true, this will free almost all memory allocated by the database before calling dar. drawback is that no more action is possible after this call (except destruction)

Definition at line 241 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ set_early_release() [2/2]

void libdar::database_restore_options::set_early_release | ( | bool | value | ) |
| inline

early_release option

if early_release is set to true, some memory is released before calling dar

Note
  if early_release is true, this will free almost all memory allocated by the database before calling dar. drawback is that no more action is possible after this call (except destruction)

Definition at line 241 of file src/libdar/database_options.hpp.

## ◆ set_even_when_removed() [1/2]

void libdar::database_restore_options::set_even_when_removed | ( | bool | value | ) |
| inline

find data or EA if they have been removed at the requested date

in the case a file was removed at the request date, the data or EA that will be restored will be the one it had just before being removed

Definition at line 270 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ set_even_when_removed() [2/2]

void libdar::database_restore_options::set_even_when_removed | ( | bool | value | ) |
| inline

find data or EA if they have been removed at the requested date

in the case a file was removed at the request date, the data or EA that will be restored will be the one it had just before being removed

Definition at line 270 of file src/libdar/database_options.hpp.

## ◆ set_extra_options_for_dar() [1/2]

void libdar::database_restore_options::set_extra_options_for_dar | ( | const std::vector< std::string > & | value | ) |
| inline

extra options to dar

this option is a mean to provide some extra options to dar from dar_manager

Definition at line 251 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ set_extra_options_for_dar() [2/2]

void libdar::database_restore_options::set_extra_options_for_dar | ( | const std::vector< std::string > & | value | ) |
| inline

extra options to dar

this option is a mean to provide some extra options to dar from dar_manager

Definition at line 251 of file src/libdar/database_options.hpp.

## ◆ set_ignore_dar_options_in_database() [1/2]

void libdar::database_restore_options::set_ignore_dar_options_in_database | ( | bool | mode | ) |
| inline

ignore options to dar embedded in the database

Definition at line 255 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ set_ignore_dar_options_in_database() [2/2]

void libdar::database_restore_options::set_ignore_dar_options_in_database | ( | bool | mode | ) |
| inline

ignore options to dar embedded in the database

Definition at line 255 of file src/libdar/database_options.hpp.

## ◆ set_info_details() [1/2]

void libdar::database_restore_options::set_info_details | ( | bool | value | ) |
| inline

info_details option

if set to true, more detailed informations is displayed

Definition at line 246 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ set_info_details() [2/2]

void libdar::database_restore_options::set_info_details | ( | bool | value | ) |
| inline

info_details option

if set to true, more detailed informations is displayed

Definition at line 246 of file src/libdar/database_options.hpp.

## Member Data Documentation

## ◆ x_date

datetime libdar::database_restore_options::x_date
| private

Definition at line 285 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ x_early_release

bool libdar::database_restore_options::x_early_release
| private

Definition at line 282 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ x_even_when_removed

bool libdar::database_restore_options::x_even_when_removed
| private

Definition at line 287 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ x_extra_options_for_dar

std::vector< std::string > libdar::database_restore_options::x_extra_options_for_dar
| private

Definition at line 284 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ x_ignore_dar_options_in_database

bool libdar::database_restore_options::x_ignore_dar_options_in_database
| private

Definition at line 286 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

## ◆ x_info_details

bool libdar::database_restore_options::x_info_details
| private

Definition at line 283 of file dar64-2.8.3-win64/include/dar/database_options.hpp.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/database_options.hpp
- src/libdar/database_options.hpp